---
title: Logs Archive Searches
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Logs Archive Searches
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Logs Archive Searches
Copy pageCopied
Search the logs stored in a Logs Archive without reindexing them, and optionally rehydrate the matches into a retained historical view.

See the [Rehydrating from Archives](https://app.datadoghq.com/logs/pipelines/historical-views) page for the searches currently running in Datadog.

## Create an Archive Search → preview{% #create-an-archive-search %}

| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/logs/archive_searches |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/logs/archive_searches |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/logs/archive_searches      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/logs/archive_searches      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/logs/archive_searches  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/logs/archive_searches |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/logs/archive_searches     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/logs/archive_searches |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/logs/archive_searches |

## Get an Archive Search → preview{% #get-an-archive-search %}

| Datadog site      | API endpoint                                                                       |
| ----------------- | ---------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/logs/archive_searches/{archive_search_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/logs/archive_searches/{archive_search_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/logs/archive_searches/{archive_search_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id} |
